package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

/**
 * 1.1.10	押金提取券表
 * 2017年3月9日
 * @author LJK
 */
public class PledgeCouponInfo implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 7101161447024131695L;
	private Integer pledgeId;//id
	private String pledgeName;//押金提取券名称
	private String pledgeOpenId;//押金提取券所属人openid 如果没有，则为空
	private Integer pledgeMoney;//押金提取券金额
	private Date pledgeStartTime;//开始时间
	private Date pledgeEndTime;//结束时间
	private Integer pledgeStatus;//使用状态
	private Date pledgeCreateTime;//创建时间
	public Integer getPledgeId() {
		return pledgeId;
	}
	public void setPledgeId(Integer pledgeId) {
		this.pledgeId = pledgeId;
	}
	public String getPledgeName() {
		return pledgeName;
	}
	public void setPledgeName(String pledgeName) {
		this.pledgeName = pledgeName;
	}
	public String getPledgeOpenId() {
		return pledgeOpenId;
	}
	public void setPledgeOpenId(String pledgeOpenId) {
		this.pledgeOpenId = pledgeOpenId;
	}
	public Integer getPledgeMoney() {
		return pledgeMoney;
	}
	public void setPledgeMoney(Integer pledgeMoney) {
		this.pledgeMoney = pledgeMoney;
	}
	public Date getPledgeStartTime() {
		return pledgeStartTime;
	}
	public void setPledgeStartTime(Date pledgeStartTime) {
		this.pledgeStartTime = pledgeStartTime;
	}
	public Date getPledgeEndTime() {
		return pledgeEndTime;
	}
	public void setPledgeEndTime(Date pledgeEndTime) {
		this.pledgeEndTime = pledgeEndTime;
	}
	public Integer getPledgeStatus() {
		return pledgeStatus;
	}
	public void setPledgeStatus(Integer pledgeStatus) {
		this.pledgeStatus = pledgeStatus;
	}
	public Date getPledgeCreateTime() {
		return pledgeCreateTime;
	}
	public void setPledgeCreateTime(Date pledgeCreateTime) {
		this.pledgeCreateTime = pledgeCreateTime;
	}
	@Override
	public String toString() {
		return "PledgeCouponInfo [pledgeId=" + pledgeId + ", pledgeName="
				+ pledgeName + ", pledgeOpenId=" + pledgeOpenId
				+ ", pledgeMoney="
				+ pledgeMoney + ", pledgeStartTime=" + pledgeStartTime
				+ ", pledgeEndTime=" + pledgeEndTime + ", pledgeStatus="
				+ pledgeStatus + ", pledgeCreateTime=" + pledgeCreateTime + "]";
	}
	
}
